petsc-3.6.2 2015-10-02
Report Typos and Errors

# KSPLSQRMonitorDefault

Print the residual norm at each iteration of the LSQR method and the norm of the residual of the normal equations A'*A x = A' b

### Synopsis

    PetscErrorCode  KSPLSQRMonitorDefault(KSP ksp,PetscInt n,PetscReal rnorm,void *dummy)

Collective on KSP

### Input Parameters

| ksp | - iterative context
| n | - iteration number
| rnorm | - 2-norm (preconditioned) residual value (may be estimated).
| dummy | - unused monitor context

### Keywords

KSP, default, monitor, residual

### See Also

KSPMonitorSet(), KSPMonitorTrueResidualNorm(), KSPMonitorLGResidualNormCreate(), KSPMonitorDefault()

Level:intermediate
Location:src/ksp/ksp/impls/lsqr/lsqr.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages